petsc-3.12.4 2020-02-04
Report Typos and Errors

# KSPSetComputeEigenvalues

Sets a flag so that the extreme eigenvalues values will be calculated via a Lanczos or Arnoldi process as the linear system is solved.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPSetComputeEigenvalues(KSP ksp,PetscBool flg)

Logically Collective on ksp

### Input Parameters

| ksp | - iterative context obtained from KSPCreate()
| flg | - PETSC_TRUE or PETSC_FALSE

### Notes

Currently this option is not valid for all iterative methods.

### See Also

KSPComputeEigenvalues(), KSPComputeEigenvaluesExplicitly(), KSP

### Level

advanced

### Location

src/ksp/ksp/interface/itfunc.c

### Examples

src/ksp/ksp/examples/tutorials/ex71.c.html
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages